cURL
curl --request POST \
--url https://test.deribit.com/api/v2/public/get_mark_price_history \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_mark_price_history",
"params": {
"instrument_name": "BTC-25JUN21-50000-C",
"start_timestamp": 1609376800000,
"end_timestamp": 1609376810000
}
}'{
"jsonrpc": "2.0",
"id": 25,
"result": [
[
1608142381229,
0.5165791606037885
],
[
1608142380231,
0.5165737855432504
],
[
1608142379227,
0.5165768236356326
]
]
}Market Data
public/get_mark_price_history
Retrieves 5-minute historical mark price data for an instrument. Mark prices are used for margin calculations and position valuations.
Note: Currently, mark price history is available only for a subset of options that participate in volatility index calculations. All other instruments, including futures and perpetuals, will return an empty list.
cURL
curl --request POST \
--url https://test.deribit.com/api/v2/public/get_mark_price_history \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_mark_price_history",
"params": {
"instrument_name": "BTC-25JUN21-50000-C",
"start_timestamp": 1609376800000,
"end_timestamp": 1609376810000
}
}'{
"jsonrpc": "2.0",
"id": 25,
"result": [
[
1608142381229,
0.5165791606037885
],
[
1608142380231,
0.5165737855432504
],
[
1608142379227,
0.5165768236356326
]
]
}Query Parameters
Response
200 - application/json
Success response
Was this page helpful?